Help with Epson iProjection Pkg Install

aaron_kelley
Contributor

We have a school in our district that has Epson interactive projectors, which uses Epson iProjection software/driver. I have the driver installer working, however, I can't get the iProjection pkg to work.

I originally just pulled the pkg file from the dmg, which did not work after I placed it in Self Service - it just errors out with this from the policy log

Installation failed. The installer reported: installer: Package name is Epson iProjection Ver.2.22 installer: Installing at base path / installer: The install failed (The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance.)

I know that this pkg installer has selectable options - could that be causing it to fail? If so, how can I pre-select options? With a script? With composer? How? I did do a snapshot pkg, but for whatever reason that failed as well. This campus tech is extremely busy with the new building, so trying to do what I can to assist him and didn't realize I'd have so much trouble out of deploying this pkg.

Where to get Pkg is here...picture below of which selection to choose on the site.Epson Software Download Link

b3113913b7414a4a91dcb597c2764726

1 ACCEPTED SOLUTION

aaron_kelley
Contributor

I resulted in creating 2 separate policies, one that will cache the pkg to the Jamf Waiting Room directory on the device, then the second policy will install it from the waiting room. For whatever reason, this particular pkg was NOT wanting to cooperate by just your typical policy pkg install.

Oh well, at least it works.

View solution in original post

8 REPLIES 8

jweeda
New Contributor

We have several of the Epson Interactive projectors as well. I just have staff use the Epson Easy MP Network projection app instead of the iProjection app. So far it has worked for me, just to set up and pushed out the the machines.

harmonix
New Contributor

Had the exact same issue, driver and interactive tools worked great but iprojection kept failing. Followed this video to create a new pkg using composer, and worked like a charm.

https://www.jamf.com/resources/videos/building-a-package-using-snapshots-in-jamf-composer/

aaron_kelley
Contributor

I resulted in creating 2 separate policies, one that will cache the pkg to the Jamf Waiting Room directory on the device, then the second policy will install it from the waiting room. For whatever reason, this particular pkg was NOT wanting to cooperate by just your typical policy pkg install.

Oh well, at least it works.

View solution in original post

nmanager
New Contributor III

I have tried creating policies using Composer and the default package from Epson. I can't seem to get any of them to work. PKG from Epson errors as listed above. Composer DMG works but then I get messages to restart to get the Audio Driver working but it comes back up and the Epson Driver isn't listed in the sound preferences. I tried to create a PKG from Composer and it does the same thing as the Epson package. Tried to do the caching thing with two policies as well but had no luck with that. @harmonix did you create a dmg or pkg with composer? @aaron.kelley Did you cache the install file to all machines and install from there? Or did you map a drive and install if from there?

Thanks

jalbert
Contributor

@nmanager I too am interested in these answers, I have been asked to get this published to our Self Service, but having the same issues mentioned on installing.

CLDanaher
New Contributor

I wanted to share the solution I found, as EasyMP is dying. In case anyone else is in the same boat. I reached out to Epson and found out there is an updated dmg that isn't available for download. When you reach out to them and verify you own an Epson device they will send it to you. It is version 2.40. It does work as a dmg cache and then a script install.

vogel
New Contributor

@CLDanaher - Are you able to provide contact details for Epson? I've been down a rabbit hole trying to find a way to contact them directly regarding the 2.40 version. Thank you!

CLDanaher
New Contributor

Vogel, I went to the site and went to Projectors, selected the type of projector we have, and then emailed them. They emailed me back the silent installer.